/******************************************
THIRSTY NELLAN
An 3D Animated Adventure Game for children
Copyright (C) 2002 Geoffrey M. Draper

This file is part of Thirsty Nellan.
Thirsty Nellan is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

Thirsty Nellan is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with Thirsty Nellan; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

As a special exception, the copyright holder (Geoffrey
M. Draper) gives permission to link this program with
Qt non-commercial edition, and distribute the resulting
executable, without including the source code for the
Qt non-commercial edition in the source distribution.
(This clause applies only to Windows version of the software.)

******************************************/

#include "myflashingsignsprite.h"
#include "gamedata.h"
#include <iostream.h>

extern GameData *gd;

MyFlashingSignSprite::MyFlashingSignSprite( QCanvasPixmapArray *a, MyCanvas *can/*, int type*/)
						: QCanvasSprite(a, can)
{
	timer = new QTime();
	setAnimated(true);
	setVelocity(0,0);
	setZ(-1);
	move(463,259);
}	
	
void MyFlashingSignSprite::advance(int stage) {
	if (visible()) {
		if (stage == 1) {
			//check whether the player has purchased the bowl yet
			if (gd->objectData[gd->COUPON].location != -2) {
				if (timer->elapsed() > 3000) {
					setFrame((frame()+1) % 2);
					timer->start();
				}
			} else {
				setFrame(2);
			}
		}
	}
}
